Subject: Re: Can outsiders get simple questions answered?
From: [email-masked] (Christopher G. Faylor)

24 Dec 1998 04:09:51 GMT
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
X-Newsreader: trn 4.0-test63 (15 March 1998)

In article <[email-masked]>,
Dan Hensley <[email-masked]> wrote:
>Corinna,
>    I'll need to try this again to confirm, but I think this only works in
>notty mode.  Somewhere along the line I tried this, but as I recall it didn't
>work...

I would be very surprised if ttys had anything to do with this.  There
is no correspondence at all between "com1" and cygwin ttys.  They are
two completely different things.

Corrinna's advice should be right on.

There are some bugs with cygwin's handling of serial ports however.
Specifically setting VMIN, VMAX, and ICANON do not work 100% reliably.
This will be fixed in the next release.

-chris

>Corinna Vinschen wrote:
>
>> Dan Hensley wrote:
>> >
>> > Here's my question:
>> > Using Cygwin b20.1 in tty mode, how do you open the serial ports (using
>> > open() )?
>> >
>> AFAIK, use comX as device name:
>>
>>         open("com1",...) should work
>>
>> I never used it, but this is, what I've found in the cygwin sources.
-- 
[email-masked]
http://www.cygnus.com/